Package de.willuhn.jameica.hbci.gui.chart

# Class ChartDataSaldoSumme

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo
de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoSumme

All Implemented Interfaces:
  `ChartData`, `LineChartData`

Direct Known Subclasses:
  `ChartDataSaldoSummeForecast`

public class ChartDataSaldoSumme extends AbstractChartDataSaldo
Implementierung eines Datensatzes fuer die Darstellung des addierten Saldenverlaufs.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`ChartDataSaldoSumme()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(List<Value> data)`
Fuegt weitere Daten hinzu.
`List`
`getData()`
Liefert die zu zeichnende Datenreihe.
`String`
`getLabel()`
Liefert das Label der Datenreihe.
`int`
`getLineWidth()`
Liefert die Linienbreite in Pixel.
`boolean`
`isFilled()`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`getColor, getCurve, getDataAttribute, getLabelAttribute, getLineStyle, isLegendEnabled, setColor, setLegendEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartDataSaldoSumme

public ChartDataSaldoSumme()

## Method Details

### getData

public List getData() throws RemoteException
Description copied from interface: `ChartData`
Liefert die zu zeichnende Datenreihe.

Returns:
  Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getData()`

### getLineWidth

public int getLineWidth() throws RemoteException
Description copied from interface: `LineChartData`
Liefert die Linienbreite in Pixel.

Specified by:
  `getLineWidth` in interface `LineChartData`
Overrides:
  `getLineWidth` in class `AbstractChartDataSaldo`
Returns:
  die Linienbreite in Pixel.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getLineWidth()`

### add

public void add(List<Value> data)
Fuegt weitere Daten hinzu.

Parameters:
  `data` - weitere Daten.

### getLabel

public String getLabel() throws RemoteException
Description copied from interface: `ChartData`
Liefert das Label der Datenreihe.

Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabel()`

### isFilled

public boolean isFilled() throws RemoteException
Description copied from interface: `LineChartData`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.

Specified by:
  `isFilled` in interface `LineChartData`
Overrides:
  `isFilled` in class `AbstractChartDataSaldo`
Returns:
  true falls gefuellt.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.isFilled()`